> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md).

# Get-RASAVDWorkspace

### NAME

Get-RASAVDWorkspace\ <br>

### SYNOPSIS

Retrieves information about an Azure Virtual Desktop Workspace.\ <br>

### SYNTAX

Get-RASAVDWorkspace \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspace.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspace.html#CommonParameters)*>*]\
\
Get-RASAVDWorkspace \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspace.html#Name)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspace.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDWorkspace.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves information about the specified Azure Virtual Desktop Workspace or all Azure Virtual Desktop Workspaces within a site.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the Azure Virtual Desktop Workspace for which to retrieve the information.\
\
This must be the actual Azure Virtual Desktop Workspace name.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the Azure Virtual Desktop Workspace information.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a Azure Virtual Desktop Workspace for which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDWorkspace\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDWorkspace\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDWorkspace -SiteId 1\
\
Retrieves information about all the Azure Virtual Desktop Workspaces found withing the site with ID 1.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDWorkspace "My AVDWorkspace" -SiteId 1 | Format-List\
\
Retrieves information about the Azure Virtual Desktop Workspace specified by name from the site with ID 1.\
\
The Format-List cmdlet formats the display output to include all available properties.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASAVDWorkspace -Id 10\
\
Retrieves information about the Azure Virtual Desktop Workspace specified by ID from the Licensing Server site.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
